Package: org.apache.groovy.parser.antlr4

## [Java] Class AbstractParser

- org.apache.groovy.parser.antlr4.AbstractParser

- All Implemented Interfaces and Traits:
    SyntaxErrorReportable

      public abstract class AbstractParser
      extends Parser
      implements SyntaxErrorReportable

  Because antlr4 does not support generating parser with specified interface, we have to create a super class for it and implement the interface.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `AbstractParser(TokenStream input)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Parser` | `parse`

- - ### Constructor Detail

    - #### public AbstractParser(TokenStream input)